/*
Theme Name: PHLOX Child
Theme URI: https://wp-themes.com/phlox
Author: ChildThemeWP.com
Author URI: https://childthemewp.com
Description: My WordPress PHLOX child theme.
Template: phlox
License: GNU General Public License v3
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Version: 1.0.0
Text Domain: phlox-child
*/

/********** GENERAL **********/
/*****************************/

:root {
	--space-xs: 1.5rem;
	--space-sm: 2.5rem;
	--space-md: 5rem;
	--space-lg: 7.5rem;
	--space-xl: 10rem;
}

.mt-0 {
	margin-bottom: 0;
}
.mb-0 {
	margin-bottom: 0;
}
.mt-sm {
	margin-top: var(--space-sm) !important;
}
.mb-sm {
	margin-bottom: var(--space-sm) !important;
}
.mt-md {
	margin-top: var(--space-md) !important;
}
.mb-md {
	margin-bottom: var(--space-md) !important;
}
.mt-lg {
	margin-top: var(--space-lg) !important;
}
.mb-lg {
	margin-bottom: var(--space-lg) !important;
}

.elementor-widget-aux_modern_heading.mb-0 .aux-modern-heading-primary {
	margin-bottom: 0 !important;
}

/********* OVERRIDES *********/
/*****************************/
.wpcf7-acceptance {
	font: var(--the7-base-font);
}
.aux-logo-anchor > img[src*=".svg"] {
	width: 180px;
	height: auto;
}


/********** WEBSITE **********/
/*****************************/
#websiteHeader {
	position: relative;
	z-index: 10;
}
.aux-modern-heading-primary span {
	color: var( --e-global-color-primary );
}

/* homepage */
#homeTopHero {
	background: url('img/bg-form-1.png') left center/40% auto no-repeat scroll;
}
#homeTopHero .home-hero-slider .elementor-image-carousel-wrapper .elementor-image-carousel {
	-webkit-mask-image: url('img/curve-slider-mask-wide.svg');
	-webkit-mask-size: contain;
	-webkit-mask-position: center center;
	-webkit-mask-repeat: no-repeat;
}
#homeTopHero .home-hero-slider .elementor-swiper-button.elementor-swiper-button-prev {
	left: -15px;
}
#homeTopHero .home-hero-slider .elementor-swiper-button.elementor-swiper-button-next {
	right: -30px;
}
.row-home-aboutus {
	background: url('img/bg-form-2.png') left center/25% auto no-repeat scroll;
}
.row-home-aboutus img,
.col-sponsor-logos {
	border-radius: var(--space-xs) !important;
}

.row-home-uzenet {
	background: url('img/bg-form-3.png') right center/auto 80% no-repeat scroll;
}
.uzenet-item-home {
	background-color: var( --e-global-color-7949f46 );
	border-radius: 15px;
	padding: 30px 10%;
	display: flex;
	gap: 30px;
	align-items: center;
}
.uzenet-item-home .uzenet-image {
	flex: 15% 1 0;
	min-width: 120px;
}
.uzenet-item-home .uzenet-image img {
	border-radius: 50%;
}
.uzenet-item-home .uzenet-desc {
	font-style: italic;
}
.uzenet-item-home .uzenet-title {
	margin-bottom: 0;
	color: var( --e-global-color-04927d2 );
}

.row-home-sponsors {
	background: url('img/bg-form-2.png') left center/contain no-repeat scroll;
}
.col-sponsor-logos {
	padding: var(--space-sm) var(--space-xs) !important;
}

/* contact */
.row-contact-top {
	background: url('img/bg-form-1.png') left center/40% auto no-repeat scroll;
}


body.innerpage .hentry .entry-main,
body.innerpage .hentry .entry-content {
	margin-bottom: 0;
}

/* edu.tea */
body.edutea #websiteHeader {
	border-color: var( --e-global-color-446b4211 ) !important;
}
body.edutea .row-main-menu {
	background-color: var( --e-global-color-446b4211 ) !important;
}

/* bolyai mühely */
body.bolyai-muhely #websiteHeader {
	border-color: var( --e-global-color-55e2dd20 ) !important;
}
body.bolyai-muhely .row-main-menu {
	background-color: var( --e-global-color-55e2dd20 ) !important;
}
body.bolyai-muhely .elementor-78 .elementor-element.elementor-element-5c6b33e .elementor-nav-menu--main .elementor-item.elementor-item-active {
	color: var( --e-global-color-primary );	
}

/* bolyai üzenete */
body.bolyai-uzenete #websiteHeader {
	border-color: var( --e-global-color-04927d2 ) !important;
}
body.bolyai-uzenete .row-main-menu {
	background-color: var( --e-global-color-04927d2 ) !important;
}

.uzenet-item {
	display: flex;
	flex-direction: column;
	gap: 15px;
	margin-bottom: 50px;
}
.uzenet-item .uzenet-title {
	color: var( --e-global-color-04927d2 ) !important;
	padding-bottom: .5em;
	margin-bottom: 0;
	border-bottom: 1px solid var( --e-global-color-04927d2 );
}
.uzenet-item .uzenet-desc {
	padding: 30px;
	border-radius: 15px;
	color: var( --e-global-color-7949f46 );
	background-color: var( --e-global-color-04927d2 ) !important;
	font-style: italic;
	position: relative;
}
.uzenet-item .uzenet-desc::before,
.uzenet-item .uzenet-desc::after {
	content: "";
	display: block;
	width: 44px;
	height: 44px;
	position: absolute;
	background-image: url("data:image/svg+xml,%3Csvg id='Layer_1' enable-background='new 0 0 100 100' viewBox='0 0 100 100' fill='%23DFA54F' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m44.4462471 59.7333565c2.0419998 11.4312782-6.7355499 22.0483742-21.4344597 22.0483742s-22.6600995-19.3946419-20.0063693-36.1377297c2.4599783-15.5261612 19.3184452-25.2528725 31.524725-27.4015427 1.1843414-.2070789 2.3123093.5851479 2.5193901 1.7694874.0331917.1898289.0410309.3832188.0233116.5751114l-.4353943 5.150713c-.0655785.9597664-.7672157 1.7560253-1.7110977 1.9418602-13.1597951 2.2313938-20.9903625 21.9547577-12.933389 19.5927429 8.3682785-2.4469147 20.4112835 1.0362358 22.4532833 12.4609833zm52.7610817 0c-2.0419998-11.4312744-14.0871887-14.9013672-22.4576416-12.4522743-8.0548019 2.3576584-.2176971-17.3657017 12.9333878-19.5927448.9442902-.1851406 1.6462631-.9817867 1.7110977-1.9418602l.4354019-5.150713c.1105423-1.197216-.7703781-2.2573624-1.9675903-2.3679085-.1918945-.0177174-.3852921-.0098782-.5751114.0233116-12.2041016 2.1464939-29.0625725 11.8753796-31.5247269 27.4015427-2.6537323 16.7387314 5.307457 36.1377258 20.0063705 36.1377258s23.4786454-10.6236267 21.4388123-22.0570793z'/%3E%3C/svg%3E");
}
.uzenet-item .uzenet-desc::before {
	left: 15px;
	top: -15px;
}
.uzenet-item .uzenet-desc::after {
	bottom: -15px;
	right: 15px;
	transform: rotate(180deg);
}
.uzenet-item .uzenet-block {
	display: flex;
	gap: 15px;
	align-items: center;
	font-size: 14px;
}
.uzenet-item .uzenet-image {
	flex: 20% 1 0;
}
.uzenet-item .uzenet-image img {
	border-radius: 15px;
}
.uzenet-item .uzenet-author {
	position: relative;
}
.uzenet-item .uzenet-author::before {
	content: "";
	display: block;
	width: 20px;
	height: 20px;
	background: #fff;
	border-radius: 15px 15px 0 15px;
	position: absolute;
	left: -25px;
	top: 50%;
	transform: translateY(-50%);
	background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='iso-8859-1'%3F%3E%3Csvg version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 512 512' style='enable-background:new 0 0 512 512;' xml:space='preserve'%3E%3Cg%3E%3Cpath fill='%23365B6D' d='M501.874,482.794c-6.312-3.676-44.743-27.475-65.305-70.505c48.023-44.904,75.337-107.371,75.337-171.301 c0-132.31-115.369-240.956-255.953-240.956S0,108.678,0,240.988s115.369,240.956,255.953,240.956 c18.872,0,39.143-1.769,67.111-7.645c73.508,39.06,139.486,37.962,164.589,37.566c11.175-0.139,19.288,1.879,23.463-9.666 C513.942,494.455,509.762,485.51,501.874,482.794z M285.948,361.966c0,16.564-13.429,29.995-29.995,29.995 c-16.566,0-29.995-13.431-29.995-29.995V240.988c0-16.566,13.429-29.995,29.995-29.995c16.566,0,29.995,13.429,29.995,29.995 V361.966z M255.953,165.002c-16.566,0-29.995-13.431-29.995-29.995c0-16.566,13.429-29.995,29.995-29.995 c16.566,0,29.995,13.429,29.995,29.995C285.948,151.572,272.519,165.002,255.953,165.002z'/%3E%3C/g%3E%3C/svg%3E");
}


/********* RESPONSIVE ********/
/*****************************/
@media (max-width: 1440px) {
	.header-inner {
		padding-left: 30px;
		padding-right: 30px;
	}
}
@media (max-width: 767px) {
	.aux-fold, .aux-fold-padding, .aux-boxed-container > .aux-container {
		padding-right: 0px;
		padding-left: 0px;
	}
}
@media (max-width: 576px) {
	.uzenet-item-home,
	.uzenet-item .uzenet-block {
		flex-direction: column;
		margin: 0 15px;
	}
	.uzenet-item .uzenet-author::before {
		display: none;
	}
}